Vue Bootstrap Tables

Vue Tables - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Tables let you aggregate a huge amount of data and present it in the clear and orderly way. Vue Bootstrap tables provide additional benefits like responsiveness and the possibility to manipulate the styles of the tables. You can enhance your tables by adding buttons, checkboxes, panels, and many other additional elements. You can also use an advanced datatables options like sort, search or pagination.


If you want to use basic bootstrap tables have a look at the documentation below.

For more advanced options go to the specific documentation pages listed below:


Basic table

Using the most basic table markup, here’s how .table-based tables look in Bootstrap. All table styles are inherited in Bootstrap 4, meaning any nested tables will be styled in the same manner as the parent.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <div>
              <mdb-tbl>
                <mdb-tbl-head>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </mdb-tbl-head>
                <mdb-tbl-body>
                  <tr>
                    <th>1</th>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <th>2</th>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <th>3</th>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </mdb-tbl-body>
              </mdb-tbl>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    

Table head options

To change a background-color of <mdb-tbl-head> (or any other element) use our color classes names in property color. . If you are going to use a dark background you should also consider white text (to provide a proper contrast) by adding textWhite property.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
              <div>
                <mdb-tbl>
                  <mdb-tbl-head color="black" textWhite>
                    <tr>
                      <th>#</th>
                      <th>First</th>
                      <th>Last</th>
                      <th>Handle</th>
                    </tr>
                  </mdb-tbl-head>
                  <mdb-tbl-body>
                    <tr>
                      <th>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th>3</th>
                      <td>Larry</td>
                      <td>the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </mdb-tbl-body>
                </mdb-tbl>
                <mdb-tbl>
                  <mdb-tbl-head color="grey">
                    <tr>
                      <th>#</th>
                      <th>First</th>
                      <th>Last</th>
                      <th>Handle</th>
                    </tr>
                  </mdb-tbl-head>
                  <mdb-tbl-body>
                    <tr>
                      <th>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th>3</th>
                      <td>Larry</td>
                      <td>the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </mdb-tbl-body>
                </mdb-tbl>
              </div>
            </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
    
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    

Striped rows

Use prop striped to add zebra-striping to any table row within the <mdb-tbl-body>.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
              <div>
                <mdb-tbl striped>
                  <mdb-tbl-head>
                    <tr>
                      <th>#</th>
                      <th>First</th>
                      <th>Last</th>
                      <th>Handle</th>
                    </tr>
                  </mdb-tbl-head>
                  <mdb-tbl-body>
                    <tr>
                      <th>1</th>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <th>2</th>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <th>3</th>
                      <td>Larry</td>
                      <td>the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </mdb-tbl-body>
                </mdb-tbl>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
              export default {
                name: 'TablePage',
                components: {
                  mdbTbl,
                  mdbTblHead,
                  mTblBody
                }
              }
            </script>
          
        
    

Bordered table

Add prop bordered for borders on all sides of the table and cells.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <div>
              <mdb-tbl bordered>
                <mdb-tbl-head>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </mdb-tbl-head>
                <mdb-tbl-body>
                  <tr>
                    <th>1</th>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <th>2</th>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <th>3</th>
                    <td colspan="2">Larry the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </mdb-tbl-body>
              </mdb-tbl>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    

Borderless table

Add prop borderless for a table without borders.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <div>
              <mdb-tbl borderless>
                <mdb-tbl-head>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </mdb-tbl-head>
                <mdb-tbl-body>
                  <tr>
                    <th>1</th>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <th>2</th>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <th>3</th>
                    <td colspan="2">Larry the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </mdb-tbl-body>
              </mdb-tbl>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    

Hoverable rows

Add prop hover to enable a hover state on table rows.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <div>
              <mdb-tbl hover>
                <mdb-tbl-head>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </mdb-tbl-head>
                <mdb-tbl-body>
                  <tr>
                    <th>1</th>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <th>2</th>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <th>3</th>
                    <td colspan="2">Larry the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </mdb-tbl-body>
              </mdb-tbl>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    

Small table

Add prop sm to make tables more compact by cutting cell padding in half.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <div>
              <mdb-tbl sm>
                <mdb-tbl-head>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </mdb-tbl-head>
                <mdb-tbl-body>
                  <tr>
                    <th>1</th>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <th>2</th>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <th>3</th>
                    <td colspan="2">Larry the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </mdb-tbl-body>
              </mdb-tbl>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    

Captions

caption functions like a heading for a table. It helps users with screen readers to find a table and understand what it’s about and decide if they want to read it.

List of users
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <template>
            <div>
              <mdb-tbl>
                <caption>List of users</caption>
                <mdb-tbl-head>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </mdb-tbl-head>
                <mdb-tbl-body>
                  <tr>
                    <th>1</th>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <th>2</th>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <th>3</th>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </mdb-tbl-body>
              </mdb-tbl>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    

Responsive table

Create responsive table by adding prop responsive to make them scroll horizontally on small devices (under 768px). When viewing on anything larger than 768px wide, you will not see any difference in these tables.

Vertical clipping/truncation

Responsive tables make use of overflow-y: hidden, which clips off any content that goes beyond the bottom or top edges of the table. In particular, this can clip off dropdown menus and other third-party widgets.

Note: For more advanced options of responsive tables have a look at Responsive Tables documentation .

# Heading Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell Cell
        
            
          <template>
            <div>
              <mdb-tbl responsive>
                <mdb-tbl-head>
                  <tr>
                    <th>#</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                  </tr>
                </mdb-tbl-head>
                <mdb-tbl-body>
                  <tr>
                    <th scope="row">1</th>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                  </tr>
                  <tr>
                    <th scope="row">2</th>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                  </tr>
                  <tr>
                    <th scope="row">3</th>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                  </tr>
                </mdb-tbl-body>
              </mdb-tbl>
            </div>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    

Fixed header

# thead col 1 thead col 2 thead col 3
1 tbody col 1 tbody col 2 tbody col 3
2 tbody col 1 tbody col 2 tbody col 3
3 tbody col 1 tbody col 2 tbody col 3
4 tbody col 1 tbody col 2 tbody col 3
5 tbody col 1 tbody col 2 tbody col 3
6 tbody col 1 tbody col 2 tbody col 3
7 tbody col 1 tbody col 2 tbody col 3
8 tbody col 1 tbody col 2 tbody col 3
9 tbody col 1 tbody col 2 tbody col 3
        
            
          <template>
            <mdb-tbl class="fixed-header">
              <mdb-tbl-head>
                <tr>
                  <th>#</th>
                  <th>thead col 1</th>
                  <th>thead col 2</th>
                  <th>thead col 3</th>
                </tr>
              </mdb-tbl-head>
              <mdb-tbl-body>
                <tr scope="row">
                  <td>1</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>2</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>3</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>3</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>3</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>3</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>3</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>3</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>3</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
                <tr scope="row">
                  <td>3</td>
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                </tr>
              </mdb-tbl-body>
            </mdb-tbl>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    
        
            
          <!-- Add "scoped" attribute to limit CSS to this component only -->
          <style scoped>
            .fixed-header .table {
              width: auto;
            }
            .fixed-header thead {
              display: block;
              position: relative;
            }
            .fixed-header tbody {
              display: block;
              height: 200px;
              overflow-y: scroll;
            }
          </style>
        
        
    

Fixed column

thead col 1 thead col 2 thead col 3 thead col 4 thead col 5 thead col 6 thead col 7 thead col 8 thead col 9 thead col 10 thead col 11 thead col 12 thead col 13 thead col 14 thead col 15 thead col 16 thead col 17 thead col 18
tbody col 1 tbody col 2 tbody col 3 tbody col 4 tbody col 5 tbody col 6 tbody col 7 tbody col 8 tbody col 9 tbody col 10 tbody col 11 tbody col 12 tbody col 13 tbody col 14 tbody col 15 tbody col 16 tbody col 17 tbody col 18
tbody col 1 tbody col 2 tbody col 3 tbody col 4 tbody col 5 tbody col 6 tbody col 7 tbody col 8 tbody col 9 tbody col 10 tbody col 11 tbody col 12 tbody col 13 tbody col 14 tbody col 15 tbody col 16 tbody col 17 tbody col 18
tbody col 1 tbody col 2 tbody col 3 tbody col 4 tbody col 5 tbody col 6 tbody col 7 tbody col 8 tbody col 9 tbody col 10 tbody col 11 tbody col 12 tbody col 13 tbody col 14 tbody col 15 tbody col 16 tbody col 17 tbody col 18
        
            
          <template>
            <mdb-tbl class="fixed-column">
              <mdb-tbl-head>
                <tr>
                  <th>thead col 1</th>
                  <th>thead col 2</th>
                  <th>thead col 3</th>
                  <th>thead col 4</th>
                  <th>thead col 5</th>
                  <th>thead col 6</th>
                  <th>thead col 7</th>
                  <th>thead col 8</th>
                  <th>thead col 9</th>
                  <th>thead col 10</th>
                  <th>thead col 11</th>
                  <th>thead col 12</th>
                  <th>thead col 13</th>
                  <th>thead col 14</th>
                  <th>thead col 15</th>
                  <th>thead col 16</th>
                  <th>thead col 17</th>
                  <th>thead col 18</th>
                </tr>
              </mdb-tbl-head>
              <mdb-tbl-body>
                <tr scope="row">
                  <td>tbody col 1</td>
                  <td>tbody col 2</td>
                  <td>tbody col 3</td>
                  <td>tbody col 4</td>
                  <td>tbody col 5</td>
                  <td>tbody col 6</td>
                  <td>tbody col 7</td>
                  <td>tbody col 8</td>
                  <td>tbody col 9</td>
                  <td>tbody col 10</td>
                  <td>tbody col 11</td>
                  <td>tbody col 12</td>
                  <td>tbody col 13</td>
                  <td>tbody col 14</td>
                  <td>tbody col 15</td>
                  <td>tbody col 16</td>
                  <td>tbody col 17</td>
                  <td>tbody col 18</td>
                </tr>
              </mdb-tbl-body>
            </mdb-tbl>
          </template>
        
        
    
        
            
          <script>
            import { mdbTbl, mdbTblHead, mdbTblBody } from 'mdbvue';
            export default {
              name: 'TablePage',
              components: {
                mdbTbl,
                mdbTblHead,
                mdbTblBody
              }
            }
          </script>
        
        
    
        
            
          <!-- Add "scoped" attribute to limit CSS to this component only -->
          <style scoped>
            .fixed-column {
              overflow-x: scroll;
              margin-left: 100px;
            }
            .fixed-column th, .fixed-column td {
              white-space: nowrap;
            }
            .fixed-column tr th:first-child, .fixed-column tr td:first-child {
              position: absolute;
              width: 100px;
              top: auto;
              margin-left: -100px;
              margin-top: -1px;
            }
          </style>
        
        
    

Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table scroll

If your table is too long or too wide you can limit its size and enable scroll functionality.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

Vue Bootstrap Tables - API

This section present detailed information about Tables usage, properties and customization. Dive into API references to find see all available props and methods.


Imports

To start working with Basic Tables you need to import three components.
mdbTbl, mdbTblBody and mdbTblHead extends native HTML tags with MDB's styles and functions.

        
            
    <script>
      import {
        mdbTbl,
        mdbTblHead,
        mdbTblBody
      } from 'mdbvue';
    </script>
    
        
    

API Reference: Table component

All properties and options refered to mdbTbl component.

Properties

Name Type Default Description Example
striped Boolean false Adds zebra-striping to any table row. <mdb-tbl striped>
bordered Boolean false Adds border on all table's and cell's sides. <mdb-tbl bordered>
borderless Boolean false Disables border on all table's and cell's sides. <mdb-tbl borderless>
hover Boolean false Adds hover state on table rows (rows are marked on light-grey color). <mdb-tbl hover>
small Boolean false Cuts cell's padding by half. <mdb-tbl small>
reponsive Boolean false Makes table scrollable horizontally when screen width is smaller than table content (under 768px).
It make use of overflow-y: hidden which clips off content that goes beyon the bottom or top edge of the table.
<mdb-tbl responsive>
reponsiveSm Boolean false Makes table scrollable horizontally on under 576px wide screens. <mdb-tbl responsiveSm>
reponsiveMd Boolean false Makes table scrollable horizontally on under 768px wide screens. <mdb-tbl responsiveMd>
reponsiveLg Boolean false Makes table scrollable horizontally on under 992px wide screens. <mdb-tbl responsiveLg>
reponsiveXl Boolean false Makes table scrollable horizontally on under 1200px wide screens. <mdb-tbl responsiveXl>
scrollY Boolean false Allows table to be scrolled vertically if it's content is higher than 200px. Combine it with maxHeight to manipulate table's height. <mdb-tbl scrollY>
maxHeight String 200px Sets table's maxHeight. You can use px, vh or whatever fits to your needs. <mdb-tbl maxHeight="400px">
autoWidth Boolean false Automatically adjust columns width to the content. <mdb-tbl autoWidth>
fixed Boolean false Sets fixed columns width. <mdb-tbl fixed>

API Reference: mdbTblHead component

All properties and options refered to mdb-tbl-head component.

Name Type Default Description Example
color String Changes TableHead background color. Use MDB color classes <mdb-tbl-head color="primary-color">
textWhite Boolean false Sets TableHead's font color to white. <mdb-tbl-head textWhite>
columns Object[] Binds your data into the component. <mdb-tbl-head columns={this.state.columns}>
.th- class Sets the minimal width of the column (sm - 6rem, lg - 9rem). <mdb-tbl-head> <tr> <th class="th-sm"> Example <th> </tr> </mdb-tbl-head>

API Reference: TableBody component

All properties and options refered to mdb-tbl-body component.

Name Type Default Description Example
colSpan String 1 Spans table cell to the given number of columns. <mdb-tbl-body> <tr> <td colspan="2"> Example <td> </tr> </mdb-tbl-body>

API Reference: Additional Table elements

Name Type Default Description Example
<caption> Node A <caption> functions like a heading for a table. It helps users with screen readers to find a table and understand what it’s about and decide if they want to read it. <caption>Example caption</caption>

Vue Bootstrap Tables - Examples

Here are some example and variations of our basic Table component. Find out how to mix properties, or how does the table with larger amount of data look like.


# First Last Handle First Last Handle
1 Mark Otto @mdo Larry the Bird @twitter
2 Jacob Thornton @fat Mark Otto @mdo
3 Larry the Bird @twitter Jacob Thornton @fat
4 Mark Otto @mdo Larry the Bird @twitter
5 Jacob Thornton @fat Mark Otto @mdo
6 Larry the Bird @twitter Jacob Thornton @fat
7 Mark Otto @mdo Larry the Bird @twitter
8 Jacob Thornton @fat Mark Otto @mdo
9 Larry the Bird @twitter Jacob Thornton @fat
        
            
    <template>
      <div>
        <mdb-table striped bordered fixed>
          <mdb-tbl-head color="default-color" textWhite>
            <tr>
              <th scope="col">#</th>
              <th scope="col">First</th>
              <th scope="col">Last</th>
              <th scope="col">Handle</th>
              <th scope="col">First</th>
              <th scope="col">Last</th>
              <th scope="col">Handle</th>
            </tr>
          </mdb-tbl-head>
          <mdb-tbl-body>
            <tr>
              <th scope="row">1</th>
              <td>Mark</td>
              <td>Otto</td>
              <td>@mdo</td>
              <td>Larry </td>
              <td>the Bird</td>
              <td>@twitter</td>
            </tr>
            <tr>
              <th scope="row">2</th>
              <td>Jacob</td>
              <td>Thornton</td>
              <td>@fat</td>
              <td>Mark</td>
              <td>Otto</td>
              <td>@mdo</td>
            </tr>
            <tr>
              <th scope="row">3</th>
              <td colspan="2">Larry the Bird</td>
              <td>@twitter</td>
              <td>Jacob</td>
              <td>Thornton</td>
              <td>@fat</td>
            </tr>
            <tr>
              <th scope="row">4</th>
              <td>Mark</td>
              <td>Otto</td>
              <td>@mdo</td>
              <td>Larry </td>
              <td>the Bird</td>
              <td>@twitter</td>
            </tr>
            <tr>
              <th scope="row">5</th>
              <td>Jacob</td>
              <td>Thornton</td>
              <td>@fat</td>
              <td>Mark</td>
              <td>Otto</td>
              <td>@mdo</td>
            </tr>
            <tr>
              <th scope="row">6</th>
              <td>Larry </td>
              <td>the Bird</td>
              <td>@twitter</td>
              <td>Jacob</td>
              <td>Thornton</td>
              <td>@fat</td>
            </tr>
            <tr>
              <th scope="row">7</th>
              <td>Mark</td>
              <td>Otto</td>
              <td>@mdo</td>
              <td>Larry </td>
              <td>the Bird</td>
              <td>@twitter</td>
            </tr>
            <tr>
              <th scope="row">8</th>
              <td>Jacob</td>
              <td>Thornton</td>
              <td>@fat</td>
              <td>Mark</td>
              <td>Otto</td>
              <td>@mdo</td>
            </tr>
            <tr>
              <th scope="row">9</th>
              <td>Larry </td>
              <td>the Bird</td>
              <td>@twitter</td>
              <td>Jacob</td>
              <td>Thornton</td>
              <td>@fat</td>
            </tr>
          </mdb-tbl-body>
        </mdb-table>
      </div>
    </template>
    
        
    
        
            
    <script>
      import {
        mdbTbl,
        mdbTblHead,
        mdbTblBody
      } from 'mdbvue';
      export default {
        name: 'TablePage',
        components: {
          mdbTbl,
          mdbTblHead,
          mTblBody
        }
      }
    </script>

Angular Bootstrap table

Angular Table - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Angular Bootstrap Tables are component with basic tables features. They allow you to organize multiple data in an elegant way.

Bootstrap tables provide additional benefits like responsiveness and the possibility of manipulating the table styles.

You can enhance your tables by adding buttons, checkboxes, panels, and many other additional elements.

You can also use advanced datatables options like sort, search or pagination.


If you want to use basic bootstrap tables have a look at the documentation below.

For more advanced options go to the specific documentation pages listed below:


Basic table

Using the most basic table markup, here’s how .table-based tables look in Bootstrap. All table styles are inherited in Bootstrap 4, meaning that any nested tables will be styled in the same manner as the parent.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <table mdbTable>
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'basic-table',
            templateUrl: './basic-table.component.html',
            styleUrls: ['./basic-table.component.scss'],
          })
          export class BasicTableComponent {
            elements: any = [
              {id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
              {id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
              {id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
            ];

            headElements = ['ID', 'First', 'Last', 'Handle'];

          }
        
        
    

Table head options

To change a background-color of <thead> (or any other element) use our color classes . If you are going to use a dark background you should also consider white text (to provide a proper contrast) by adding the .text-white class.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <table mdbTable>
            <thead class="black white-text">
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>

          <table mdbTable>
            <thead class="grey lighten-1 black-text">
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-head-options',
            templateUrl: './table-head-options.component.html',
            styleUrls: ['./table-head-options.component.scss'],
          })
          export class TableHeadOptionsComponent {
            elements: any = [
              {id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
              {id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
              {id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
            ];

            headElements = ['ID', 'First', 'Last', 'Handle'];

          }
        
        
    

Striped rows

Use striped="true" to add zebra-striping to any table row within the <tbody>.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <table mdbTable striped="true">
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-striped',
            templateUrl: './table-striped.component.html',
            styleUrls: ['./table-striped.component.scss'],
          })
          export class TableStripedComponent {
            elements: any = [
              {id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
              {id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
              {id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
            ];

            headElements = ['ID', 'First', 'Last', 'Handle'];

          }
        
        
    

Bordered table

Add bordered="true" for borders on all sides of the table and cells.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <table mdbTable bordered="true">
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-bordered',
            templateUrl: './table-bordered.component.html',
            styleUrls: ['./table-bordered.component.scss'],
          })
          export class TableBorderedComponent {
            elements: any = [
              {id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
              {id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
              {id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
            ];

            headElements = ['ID', 'First', 'Last', 'Handle'];

          }
        
        
    

Borderless table

Add borderless="true" for a table without borders.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <table mdbTable borderless="true">
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-borderless',
            templateUrl: './table-borderless.component.html',
            styleUrls: ['./table-borderless.component.scss'],
          })
          export class TableBorderlessComponent {
            elements: any = [
              {id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
              {id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
              {id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
            ];

            headElements = ['ID', 'First', 'Last', 'Handle'];

          }
        
        
    

Hoverable rows

Add hover="true" to enable a hover state on table rows within a <tbody>.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <table mdbTable hover="true">
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-hover',
            templateUrl: './table-hover.component.html',
            styleUrls: ['./table-hover.component.scss'],
          })
          export class TableHoverComponent {
            elements: any = [
              {id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
              {id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
              {id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
            ];

            headElements = ['ID', 'First', 'Last', 'Handle'];

          }
        
        
    

Small table

Add small="true" to make tables more compact by cutting the cell padding in half.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <table mdbTable small="true">
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-small',
            templateUrl: './table-small.component.html',
            styleUrls: ['./table-small.component.scss'],
          })
          export class TableSmallComponent {
            elements: any = [
              {id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
              {id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
              {id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
            ];

            headElements = ['ID', 'First', 'Last', 'Handle'];

          }
        
        
    

Captions

caption functions like a heading for a table. It helps users with screen readers to find a table and understand what it’s about and decide if they want to read it.

List of users
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          <table mdbTable>
            <caption>List of users</caption>
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.first }}</td>
                <td>{{ el.last }}</td>
                <td>{{ el.handle }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-caption',
            templateUrl: './table-caption.component.html',
            styleUrls: ['./table-caption.component.scss'],
          })
          export class TableCaptionComponent {
            elements: any = [
              {id: 1, first: 'Mark', last: 'Otto', handle: '@mdo'},
              {id: 2, first: 'Jacob', last: 'Thornton', handle: '@fat'},
              {id: 3, first: 'Larry', last: 'the Bird', handle: '@twitter'},
            ];

            headElements = ['ID', 'First', 'Last', 'Handle'];

          }
        
        
    

Responsive table

Create a responsive table by wrapping any .table in .table-responsive to make them scroll horizontally on small devices (under 768px). When viewing on anything larger than 768px wide, you will not see any difference in these tables.

Vertical clipping/truncation

Responsive tables make use of overflow-y: hidden, which clips off any content that goes beyond the bottom or top edges of the table. In particular, this can clip off dropdown menus and other third-party widgets.

Note: For more advanced options of responsive tables have a look at Responsive Tables documentation .

# Heading Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell Cell
        
            
          <table mdbTable responsive="true">
            <thead>
              <tr>
                <th *ngFor="let head of headElements" scope="col">{{ head }} </th>
              </tr>
            </thead>
            <tbody>
              <tr mdbTableCol *ngFor="let el of elements">
                <th scope="row">{{ el.id }}</th>
                <td>{{ el.heading1 }}</td>
                <td>{{ el.heading2 }}</td>
                <td>{{ el.heading3 }}</td>
                <td>{{ el.heading4 }}</td>
                <td>{{ el.heading5 }}</td>
                <td>{{ el.heading6 }}</td>
                <td>{{ el.heading7 }}</td>
                <td>{{ el.heading8 }}</td>
                <td>{{ el.heading9 }}</td>
              </tr>
            </tbody>
          </table>
        
        
    
        
            
          import { Component, OnInit } from '@angular/core';

          @Component({
            selector: 'table-responsive',
            templateUrl: './table-responsive.component.html',
            styleUrls: ['./table-responsive.component.scss'],
          })
          export class TableResponsiveComponent {
            elements: any = [
              {
                id: 1, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
              {
                id: 2, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
              {
                id: 3, heading1: 'Cell',
                heading2: 'Cell',
                heading3: 'Cell',
                heading4: 'Cell',
                heading5: 'Cell',
                heading6: 'Cell',
                heading7: 'Cell',
                heading8: 'Cell',
                heading9: 'Cell'
              },
            ];

            headElements = ['ID', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading', 'Heading'];

          }
        
        
    

Advanced table options

For advanced table options have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the table data according to any specific columns.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

Angular Tables - API

In this section you will find advanced information about the Table component. You will find out which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.

Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { WavesModule, TableModule } from 'ng-uikit-pro-standard';
        
        
    
        
            
          import { WavesModule, TableModule } from 'angular-bootstrap-md';
        
        
    

Directive

MdbTableDirective

Selector: mdbTable

Type: MdbTableDirective

Export as: mdbTable


Inputs

Name Type Default Description Example
striped boolean false Adds a striped effect to the table. Striped is an effect similar to zebra - every second row is colored. striped="true"
bordered boolean false Adds a border to the entire table. bordered="true"
borderless boolean false Removes all borders from the table. borderless="true"
hover boolean false Adds a highlighting effect to the line on which the mouse cursor is located. hover="true"
small boolean false Changes the size of the table. Reduces row spacing to make the table narrower. small="true"
responsive boolean false Adds responsiveness to the table so that the table behaves correctly at lower resolutions. responsive="true"
stickyHeader boolean false Adds the ability to stick the header to the top edge of the table so that the header moves with the scrolling of the table. stickyHeader="true"
stickyHeaderBgColor string ' ' Adds the ability to change the background color of the table header. The default background color is #f2f2f2f2. stickyHeaderBgColor="#303030"
stickyHeaderTextColor string ' ' Adds the ability to change the text color of the table header. The default text color is #f000000. stickyHeaderTextColor="#ffffff"

Directive

MdbTableRowDirective

Selector: mdbTableRow

Type: MdbTableRowDirective


Outputs

Name Type Description Example
rowCreated EventEmitter<any> Emits an event rowCreated which contains an object with properties created: boolean and el: ElementRef (rowCreated)="onRowCreate($event)"
rowRemoved EventEmitter<any> Emits an event rowRemoved which contains an object with properties removed: boolean. (rowRemoved)="onRowRemove($event)"

React Tables

React Tables - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap Tables are component with basic tables features. They let you aggregate a huge amount of data and present it in the clear and orderly way.

React tables provide additional benefits like responsiveness and the possibility to manipulate the styles of the tables. You can enhance your tables by adding buttons, checkboxes, panels, and many other additional elements. You can also use an advanced datatables options like sort, search or pagination.


If you want to use basic bootstrap tables have a look at the documentation below.

For more advanced options go to the specific documentation pages listed below:


Basic table

Using the most basic table markup, here’s how .table-based tables look in Bootstrap. All table styles are inherited in Bootstrap 4, meaning any nested tables will be styled in the same manner as the parent.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const BasicTable = () => {
            return (
              <MDBTable>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }

          export default BasicTable;
        
        
    

Table head options

To change a background-color of (or any other element) use our color classes names in property color. . If you are going to use a dark background you should also consider white text (to provide a proper contrast) by adding textWhite property.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
            import React from 'react';
            import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

            const BasicTable = () => {
              return (
                <MDBTable>
                  <MDBTableHead color="primary-color" textWhite>
                    <tr>
                      <th>#</th>
                      <th>First</th>
                      <th>Last</th>
                      <th>Handle</th>
                    </tr>
                  </MDBTableHead>
                  <MDBTableBody>
                    <tr>
                      <td>1</td>
                      <td>Mark</td>
                      <td>Otto</td>
                      <td>@mdo</td>
                    </tr>
                    <tr>
                      <td>2</td>
                      <td>Jacob</td>
                      <td>Thornton</td>
                      <td>@fat</td>
                    </tr>
                    <tr>
                      <td>3</td>
                      <td>Larry</td>
                      <td>the Bird</td>
                      <td>@twitter</td>
                    </tr>
                  </MDBTableBody>
                </MDBTable>
              );
            }

            export default BasicTable;
        
        
    

Striped rows

Use prop striped to add zebra-striping to any table row within the .

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const BasicTable = () => {
            return (
              <MDBTable striped>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }

          export default BasicTable;
        
        
    

Bordered table

Add prop bordered for borders on all sides of the table and cells.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const BasicTable = () => {
            return (
              <MDBTable bordered>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }

          export default BasicTable;
        
        
    

Borderless table

Add prop borderless for a table without borders.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const BasicTable = () => {
            return (
              <MDBTable borderless>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }

          export default BasicTable;
        
        
    

Hoverable rows

Add prop hover to enable a hover state on table rows.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const BasicTable = () => {
            return (
              <MDBTable hover>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }

          export default BasicTable;
        
        
    

Small table

Add prop small to make tables more compact by cutting cell padding in half.

# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const BasicTable = () => {
            return (
              <MDBTable small>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }

          export default BasicTable;
        
        
    

Captions

caption functions like a heading for a table. It helps users with screen readers to find a table and understand what it’s about and decide if they want to read it.

List of users
# First Last Handle
1 Mark Otto @mdo
2 Jacob Thornton @fat
3 Larry the Bird @twitter
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const BasicTable = () => {
            return (
              <MDBTable>
                <caption>List of users</caption>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }

          export default BasicTable;
        
        
    

Responsive table

Create responsive table by adding prop responsive to make them scroll horizontally on small devices (under 768px). When viewing on anything larger than 768px wide, you will not see any difference in these tables.

Vertical clipping/truncation

Responsive tables make use of overflow-y: hidden, which clips off any content that goes beyond the bottom or top edges of the table. In particular, this can clip off dropdown menus and other third-party widgets.

Note: For more advanced options of responsive tables have a look at Responsive Tables documentation .

# Heading Heading Heading Heading Heading Heading Heading Heading Heading
1 Cell Cell Cell Cell Cell Cell Cell Cell Cell
2 Cell Cell Cell Cell Cell Cell Cell Cell Cell
3 Cell Cell Cell Cell Cell Cell Cell Cell Cell
        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead } from 'mdbreact';

          const BasicTable = () => {
            return (
              <MDBTable responsive>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                    <th>Heading</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                    <td>Cell</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }

          export default BasicTable;
        
        
    

Advanced table options

For advanced options of the tables have a look at specific documentation pages listed below.

Table sort

This functionality lets you sort the data of the tables according to any specific columns.

Table scroll

If your table is too long or too wide you can limit its size and enable scroll functionality.

Table editable

Table editable allows you to edit existing data within the table and add new data to the table.

React Tables - API

This section present detailed information about Tables usage, properties and customization. Dive into API references to find see all available props and methods.


Imports

To start working with Basic Tables you need to import three components.
Table, TableBody and TableHead extends native HTML tags with MDB's styles and functions.

        
            
          import React from 'react';
          import { MDBTable, MDBTableBody, MDBTableHead  } from 'mdbreact';
        
        
    

Usage

Our Tables provide to ways to be used in your project.
Basicly build table structure like in normal HTML, or construct object with your data and bind it as a property.

        
            
          const BasicTable = (props) => {
            return (
              <MDBTable>
                <MDBTableHead>
                  <tr>
                    <th>#</th>
                    <th>First</th>
                    <th>Last</th>
                    <th>Handle</th>
                  </tr>
                </MDBTableHead>
                <MDBTableBody>
                  <tr>
                    <td>1</td>
                    <td>Mark</td>
                    <td>Otto</td>
                    <td>@mdo</td>
                  </tr>
                  <tr>
                    <td>2</td>
                    <td>Jacob</td>
                    <td>Thornton</td>
                    <td>@fat</td>
                  </tr>
                  <tr>
                    <td>3</td>
                    <td>Larry</td>
                    <td>the Bird</td>
                    <td>@twitter</td>
                  </tr>
                </MDBTableBody>
              </MDBTable>
            );
          }
        
        
    
        
            
          const BasicTable = (props) => {
            const data = {
              columns: [
                {
                  label: '#',
                  field: 'id'
                },
                {
                  label: 'First',
                  field: 'first'
                },
                {
                  label: 'Last',
                  field: 'last'
                },
                {
                  label: 'Handle',
                  field: 'handle'
                }
              ],
              rows: [
                {
                  'id': 1,
                  'first': 'Mark',
                  'last': 'Otto',
                  'handle': '@mdo'
                },
                {
                  'id': 2,
                  'first': 'Jacob',
                  'last': 'Thornton',
                  'handle': '@fat'
                },
                {
                  'id': 3,
                  'first': 'Larry',
                  'last': 'the Bird',
                  'handle': '@twitter'
                }
              ]
            };
          
            return (
              <MDBTable>
                <MDBTableHead columns={data.columns} />
                <MDBTableBody rows={data.rows} />
              </MDBTable>
            );
          }
        
        
    

API Reference: Table component

All properties and options refered to MDBTable component.

Properties

Name Type Default Description Example
striped Boolean false Adds zebra-striping to any table row. <MDBTable striped>
bordered Boolean false Adds border on all table's and cell's sides. <MDBTable bordered>
borderless Boolean false Disables border on all table's and cell's sides. <MDBTable borderless>
hover Boolean false Adds hover state on table rows (rows are marked on light-grey color). <MDBTable hover>
small Boolean false Cuts cell's padding by half. <MDBTable small>
reponsive Boolean false Makes table scrollable horizontally when screen width is smaller than table content (under 768px).
It make use of overflow-y: hidden which clips off content that goes beyon the bottom or top edge of the table.
<MDBTable responsive>
reponsiveSm Boolean false Makes table scrollable horizontally on under 576px wide screens. <MDBTable responsiveSm>
reponsiveMd Boolean false Makes table scrollable horizontally on under 768px wide screens. <MDBTable responsiveMd>
reponsiveLg Boolean false Makes table scrollable horizontally on under 992px wide screens. <MDBTable responsiveLg>
reponsiveXl Boolean false Makes table scrollable horizontally on under 1200px wide screens. <MDBTable responsiveXl>
scrollY Boolean false Allows table to be scrolled vertically if it's content is higher than 200px. Combine it with maxHeight to manipulate table's height. <MDBTable scrollY>
maxHeight String 200px Sets table's maxHeight. You can use px, vh or whatever fits to your needs. <MDBTable maxHeight="400px">
autoWidth Boolean false Automatically adjust columns width to the content. <MDBTable autoWidth>
fixed Boolean false Sets fixed columns width. <MDBTable fixed>

API Reference: TableHead component

All properties and options refered to MDBTableHead component.

Properties

Name Type Default Description Example
color String Changes TableHead background color. Use MDB color classes <MDBTableHead color="primary-color">
textWhite Boolean false Sets TableHead's font color to white. <MDBTableHead textWhite>
columns Object[] Binds your data into the component. <MDBTableHead columns={this.state.columns}>
minimal String Sets the minimal width of the column (sm - 6rem, lg - 9rem). <MDBTableHead> <tr> <th minimal="sm"> Example <th> </tr> </MDBTableHead>

Object options (columns)

Name Type Default Description Example
minimal String Sets the minimal width of the column (sm - 6rem, lg - 9rem). this.state = { columns: [ { label: "Example", field: "example", minimal: "sm" } ] }

API Reference: TableBody component

All properties and options refered to MDBTableBody component.

Properties

Name Type Default Description Example
color String Changes TableBody background color. Use MDB color classes <MDBTableBody color="primary-color">
textWhite Boolean false Sets TableBody's font color to white. <MDBTableBody textWhite>
rows Object[] Binds your data into the component.
You can combine basic Table structure with data object, then your basic structure will be displayed under the binded data.
<MDBTableBody rows={this.state.rows}>
colSpan Number 1 Spans table cell to the given number of columns. <MDBTableBody> <tr> <td colSan={2}> Example <td> </tr> </MDBTableBody>

Object options (rows)

Name Type Default Description Example
colspan Number 1 Spans table cell to the given number of columns. code must be added After the cell which you want to span. this.state = { rows: [ { colOne: "Cell", colTwo: "Cell spanned", colspan: 2, colThree: "Cell" } ] }

API Reference: Additional Table elements

A <caption> functions like a heading for a table. It helps users with screen readers to find a table and understand what it’s about and decide if they want to read it.

Name Type Default Description Example
<caption> Node A <caption> functions like a heading for a table. It helps users with screen readers to find a table and understand what it’s about and decide if they want to read it. <caption>Example caption</caption>

API Reference: Data object structure

You can use object as source of data for your tables, but you have to remember about proper structure.
Columns must consist of at least 2 properties label and field.
label is displayed inside TableHeader, field is used inside components logic.
Rows are not that important, but you have to remember that key has to correspond to the columns field.

        
            
          this.state= {
            columns: [
              {
                label: String,
                field: String,
                attributes: {
                  "attribute": "value",
                  ...
                }
              }
              ...
            ],
            rows: [
              {
                fieldName: String/Number/Node,
                colspan: Number,
                clickEvent: this.yourClickHandler
              }
              ...
            ]
          }
        
        
    

React Tables - Examples

Here are some example and variations of our basic Table component. Find out how to mix properties, or how does the table with larger amount of data look like.


# First Last Handle First Last Handle
1 Mark Otto @mdo Larry the Bird @twitter
2 Jacob Thornton @fat Mark Otto @mdo
3 Larry the Bird @twitter Jacob Thornton @fat
4 Mark Otto @mdo Larry the Bird @twitter
5 Jacob Thornton @fat Mark Otto @mdo
6 Larry the Bird @twitter Jacob Thornton @fat
7 Mark Otto @mdo Larry the Bird @twitter
8 Jacob Thornton @fat Mark Otto @mdo
9 Larry the Bird @twitter Jacob Thornton @fat
        
            

        import React from 'react';
        import {
          MDBContainer,
          MDBRow,
          MDBCol,
          MDBCard,
          MDBCardBody,
          MDBTable,
          MDBTableBody,
          MDBTableHead
        } from 'mdbreact';

        const TablePage = props => {
          const data_collspan = {
            columns: [
              {
                label: '#',
                field: 'id',
                sort: 'asc'
              },
              {
                label: 'First',
                field: 'first',
                sort: 'asc'
              },
              {
                label: 'Last',
                field: 'last',
                sort: 'asc'
              },
              {
                label: 'Handle',
                field: 'handle',
                sort: 'asc'
              },
              {
                label: 'First',
                field: 'first1',
                sort: 'asc'
              },
              {
                label: 'Last',
                field: 'last1',
                sort: 'asc'
              },
              {
                label: 'Handle',
                field: 'handle1',
                sort: 'asc'
              }
            ],
            rows: [
              {
                id: 1,
                first: 'Mark',
                last: 'Otto',
                handle: '@mdo',
                first1: 'Larry',
                last1: 'the Bird',
                handle1: '@twitter'
              },
              {
                id: 2,
                first: 'Jacob',
                last: 'Thornton',
                handle: '@fat',
                first1: 'Mark',
                last1: 'Otto',
                handle1: '@mdo'
              },
              {
                id: 3,
                first: 'Larry the Bird',
                colspan: 2,
                handle: '@twitter',
                first1: 'Jacob',
                last1: 'Thornton',
                handle1: '@fat'
              },
              {
                id: 4,
                first: 'Mark',
                last: 'Otto',
                handle: '@mdo',
                first1: 'Larry',
                last1: 'the Bird',
                handle1: '@twitter'
              },
              {
                id: 5,
                first: 'Jacob',
                last: 'Thornton',
                handle: '@fat',
                first1: 'Mark',
                last1: 'Otto',
                handle1: '@mdo'
              },
              {
                id: 6,
                first: 'Larry',
                last: 'the Bird',
                handle: '@twitter',
                first1: 'Jacob',
                last1: 'Thornton',
                handle1: '@fat'
              },
              {
                id: 7,
                first: 'Mark',
                last: 'Otto',
                handle: '@mdo',
                first1: 'Larry',
                last1: 'the Bird',
                handle1: '@twitter'
              },
              {
                id: 8,
                first: 'Jacob',
                last: 'Thornton',
                handle: '@fat',
                first1: 'Mark',
                last1: 'Otto',
                handle1: '@mdo'
              },
              {
                id: 9,
                first: 'Larry',
                last: 'the Bird',
                handle: '@twitter',
                first1: 'Jacob',
                last1: 'Thornton',
                handle1: '@fat'
              }
            ]
          };

          return (
            <MDBContainer className='mt-3'>
              <MDBRow className='py-3'>
                <MDBCol md='12'>
                  <MDBTable bordered striped>
                    <MDBTableHead
                      columns={data_collspan.columns}
                      color='default-color'
                      textWhite
                    />
                    <MDBTableBody rows={data_collspan.rows} />
                  </MDBTable>
                </MDBCol>
              </MDBRow>
            </MDBContainer>
          );
        };

        export default TablePage;